aagc.vo

## Class EsenzioneListaEsenti

- java.lang.Object
- - aagc.vo.EsenzioneListaEsenti

-     public class EsenzioneListaEsenti
      extends java.lang.Object

  Dati relativi all'esenzione.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codAreaCompetenza` Codice dell'area di competenza dell'esenzione.
    `(package private) java.lang.String` | `codice` Codice a 8 caratteri dell'esenzione.
    `(package private) java.lang.String` | `dataFine` Data di fine esenzione.
    `(package private) java.lang.String` | `dataInizio` Data di inizio esenzione.
    `(package private) java.lang.String` | `descrizione` Descrizione dell'esenzione.
    `(package private) ElencoPrestazioniCorrelateListaEsenti` | `elencoPrestazioniCorrelate` Elenco di prestazioni correlate.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EsenzioneListaEsenti()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodAreaCompetenza()`
    `java.lang.String` | `getCodice()`
    `java.lang.String` | `getDataFine()`
    `java.lang.String` | `getDataInizio()`
    `java.lang.String` | `getDescrizione()`
    `ElencoPrestazioniCorrelateListaEsenti` | `getElencoPrestazioniCorrelate()`
    `void` | `setCodAreaCompetenza(java.lang.String codAreaCompetenza)`
    `void` | `setCodice(java.lang.String codice)`
    `void` | `setDataFine(java.lang.String dataFine)`
    `void` | `setDataInizio(java.lang.String dataInizio)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setElencoPrestazioniCorrelate(ElencoPrestazioniCorrelateListaEsenti elencoPrestazioniCorrelate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codAreaCompetenza

          java.lang.String codAreaCompetenza

      Codice dell'area di competenza dell'esenzione. Puņ assumere i seguenti valori: F = Farmaceutica; S = Specialistica; E = Entrambe.

    - #### codice

          java.lang.String codice

      Codice a 8 caratteri dell'esenzione.

    - #### dataFine

          java.lang.String dataFine

      Data di fine esenzione.

    - #### dataInizio

          java.lang.String dataInizio

      Data di inizio esenzione.

    - #### descrizione

          java.lang.String descrizione

      Descrizione dell'esenzione.

    - #### elencoPrestazioniCorrelate

          ElencoPrestazioniCorrelateListaEsenti elencoPrestazioniCorrelate

      Elenco di prestazioni correlate.

  - ### Constructor Detail

    - #### EsenzioneListaEsenti

          public EsenzioneListaEsenti()

  - ### Method Detail

    - #### getCodAreaCompetenza

          public java.lang.String getCodAreaCompetenza()

    - #### setCodAreaCompetenza

          public void setCodAreaCompetenza(java.lang.String codAreaCompetenza)

    - #### getCodice

          public java.lang.String getCodice()

    - #### setCodice

          public void setCodice(java.lang.String codice)

    - #### getDataFine

          public java.lang.String getDataFine()

    - #### setDataFine

          public void setDataFine(java.lang.String dataFine)

    - #### getDataInizio

          public java.lang.String getDataInizio()

    - #### setDataInizio

          public void setDataInizio(java.lang.String dataInizio)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getElencoPrestazioniCorrelate

          public ElencoPrestazioniCorrelateListaEsenti getElencoPrestazioniCorrelate()

    - #### setElencoPrestazioniCorrelate

          public void setElencoPrestazioniCorrelate(ElencoPrestazioniCorrelateListaEsenti elencoPrestazioniCorrelate)